summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Winkel Manah <winkel.manah@outlook.com>2015-11-26 23:35:55 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-11-28 07:25:59 +0700
commit0bbb5238480aa9d20b8a08c19d02edf1bb3ea03e (patch)
treec99cee5879ef81c89b7db321a81f7f5c782343f3 /perl
parentb7ef55005eac21267b39a9c112df3e307960d1bb (diff)
downloadslackbuilds-0bbb5238480aa9d20b8a08c19d02edf1bb3ea03e.tar.gz
slackbuilds-0bbb5238480aa9d20b8a08c19d02edf1bb3ea03e.tar.xz
perl/perl-text-aspell: Added (Interface to the GNU Aspell library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-text-aspell/README4
-rw-r--r--perl/perl-text-aspell/perl-text-aspell.SlackBuild102
-rw-r--r--perl/perl-text-aspell/perl-text-aspell.info10
-rw-r--r--perl/perl-text-aspell/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/perl/perl-text-aspell/README b/perl/perl-text-aspell/README
new file mode 100644
index 0000000000..aeaf626cd7
--- /dev/null
+++ b/perl/perl-text-aspell/README
@@ -0,0 +1,4 @@
+Text::Aspell as a module provides a Perl interface to the GNU Aspell
+library. This module is to meet the need of looking up many words,
+one at a time, in a single session, such as spell-checking a document
+in memory.
diff --git a/perl/perl-text-aspell/perl-text-aspell.SlackBuild b/perl/perl-text-aspell/perl-text-aspell.SlackBuild
new file mode 100644
index 0000000000..2460b9fb7a
--- /dev/null
+++ b/perl/perl-text-aspell/perl-text-aspell.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for "perl-text-aspell".
+
+# Copyright 2015 Winkel Manah <winkel.manah@outlook.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-text-aspell
+SRCNAM=Text-Aspell
+VERSION=${VERSION:-0.09}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+rm -rf $TMP/$SRCNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ OPTIMIZE="$SLKCFLAGS" \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Remove perllocal.pod, other special files, and empty directories
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-text-aspell/perl-text-aspell.info b/perl/perl-text-aspell/perl-text-aspell.info
new file mode 100644
index 0000000000..50710e634f
--- /dev/null
+++ b/perl/perl-text-aspell/perl-text-aspell.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-text-aspell"
+VERSION="0.09"
+HOMEPAGE="http://search.cpan.org/~hank/Text-Aspell-0.09/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/H/HA/HANK/Text-Aspell-0.09.tar.gz"
+MD5SUM="67ec8b9c4769969fa714fc25c9c73832"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Winkel Manah"
+EMAIL="winkel.manah@outlook.com"
diff --git a/perl/perl-text-aspell/slack-desc b/perl/perl-text-aspell/slack-desc
new file mode 100644
index 0000000000..f9bd59b253
--- /dev/null
+++ b/perl/perl-text-aspell/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-text-aspell: perl-text-aspell (Perl interface to the GNU Aspell library)
+perl-text-aspell:
+perl-text-aspell: Text::Aspell as a module provides a Perl interface to the GNU Aspell
+perl-text-aspell: library. This module is to meet the need of looking up many words,
+perl-text-aspell: one at a time, in a single session, such as spell-checking a document
+perl-text-aspell: in memory.
+perl-text-aspell:
+perl-text-aspell:
+perl-text-aspell:
+perl-text-aspell: Homepage: http://search.cpan.org/~hank/Text-Aspell-0.09/
+perl-text-aspell: